%define major 6
%define libname %mklibname %{name} %{major}
%define libhist %mklibname history %{major}
%define devname %mklibname %{name} -d

Summary:	Library for reading lines from a terminal
Name:		readline
Version:	6.3
Release:	4
License:	GPLv2+
Group:		System/Libraries
Url:		http://tiswww.case.edu/php/chet/readline/rltop.html
Source0:	ftp://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnu.org/gnu/readline/%{name}-%{version}.tar.gz.sig
Patch0:		readline-4.3-no_rpath.patch
Patch3:		readline-4.1-outdated.patch
Patch4:		rl-header.patch
Patch5:		rl-attribute.patch
Patch6:		readline-6.0-fix-shared-libs-perms.patch
Patch8:		readline-6.2-fix-missing-linkage.patch
BuildRequires:	pkgconfig(ncurses)

%description
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libreadline library for readline
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked to readline.

%files -n %{libname}
/%{_lib}/libreadline.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libhist}
Summary:	Shared libhistory library for readline
Group:		System/Libraries
Conflicts:	%{_lib}readline6 < 6.3

%description -n %{libhist}
This package contains the libhistory library from readline.

%files -n %{libhist}
/%{_lib}/libhistory.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Files for developing programs that use the readline library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libhist} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%files -n %{devname}
%doc CHANGELOG CHANGES MANIFEST README USAGE
%doc doc examples support
%{_mandir}/man3/*
%{_includedir}/readline
%{_libdir}/libhistory.so
%{_libdir}/libreadline.so

#----------------------------------------------------------------------------

%package doc
Summary:	Readline documentation in GNU info format
Group:		Documentation
Provides:	%{name}-doc = %{EVRD}
BuildArch:	noarch

%description doc
This package contains readline documentation in the GNU info format.

%files doc
%{_infodir}/history.info*
%{_infodir}/readline.info*
%{_infodir}/rluserman.info*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

sed -e 's#/usr/local#%{_prefix}#g' -i doc/texi2html
libtoolize --copy --force

%build
%configure2_5x \
	--enable-static=no \
	--with-curses \
	--enable-multibyte

%make

%install
%makeinstall_std
# put all libs in /lib because some package needs it
# before /usr is mounted
install -d %{buildroot}/%{_lib}
for l in libhistory.so libreadline.so; do
	rm %{buildroot}%{_libdir}/${l}
	mv %{buildroot}%{_libdir}/${l}.%{major}* %{buildroot}/%{_lib}
	ln -sr %{buildroot}/%{_lib}/${l}.%{major}.* %{buildroot}%{_libdir}/${l}
done

rm -rf %{buildroot}%{_docdir}/readline/{CHANGES,INSTALL,README} \
	%{buildroot}%{_prefix}/uclibc%{_docdir}/readline/{CHANGES,INSTALL,README}


%changelog
* Thu Jul 10 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 6.3-4
+ Revision: 7cd3f3a
- New version 6.3


